com.collabnet.ce.soap60.webservices.cemain

## Class LinkedApplicationSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.cemain.LinkedApplicationSoapDO

-     public class LinkedApplicationSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  LinkedApplicationSoapDO represents a linked application's data.
  Since:
    8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedApplicationSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplicationType()` Returns 'applicationType'.
    `String` | `getApplicationUrl()` Returns 'applicationUrl'.
    `int` | `getDisplayOrder()` Returns 'displayOrder'.
    `String` | `getIconKey()` Returns 'iconKey'.
    `boolean` | `getSingleSignonEnabled()` Returns 'singleSignonEnabled'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setApplicationType(String applicationType)` Sets 'applicationType'.
    `void` | `setApplicationUrl(String applicationUrl)` Sets 'applicationUrl'.
    `void` | `setDisplayOrder(int displayOrder)` Sets 'displayOrder'.
    `void` | `setIconKey(String iconKey)` Sets 'iconKey'.
    `void` | `setSingleSignonEnabled(boolean singleSignonEnabled)` Sets 'singleSignonEnabled'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkedApplicationSoapDO

          public LinkedApplicationSoapDO()

  - ### Method Detail

    - #### getApplicationUrl

          public String getApplicationUrl()

      Returns 'applicationUrl'.
      Returns:
        Value of 'applicationUrl'.

    - #### setApplicationUrl

          public void setApplicationUrl(String applicationUrl)

      Sets 'applicationUrl'.
      Parameters:
        `applicationUrl` - Value of 'applicationUrl'.

    - #### getApplicationType

          public String getApplicationType()

      Returns 'applicationType'.
      Returns:
        Value of 'applicationType'.

    - #### setApplicationType

          public void setApplicationType(String applicationType)

      Sets 'applicationType'.
      Parameters:
        `applicationType` - Value of 'applicationType'.

    - #### getIconKey

          public String getIconKey()

      Returns 'iconKey'.
      Returns:
        Value of 'iconKey'.

    - #### setIconKey

          public void setIconKey(String iconKey)

      Sets 'iconKey'.
      Parameters:
        `iconKey` - Value of 'iconKey'.

    - #### getDisplayOrder

          public int getDisplayOrder()

      Returns 'displayOrder'.
      Returns:
        Value of 'displayOrder'.

    - #### setDisplayOrder

          public void setDisplayOrder(int displayOrder)

      Sets 'displayOrder'.
      Parameters:
        `displayOrder` - Value of 'displayOrder'.

    - #### getSingleSignonEnabled

          public boolean getSingleSignonEnabled()

      Returns 'singleSignonEnabled'.
      Returns:
        Value of 'singleSignonEnabled'.

    - #### setSingleSignonEnabled

          public void setSingleSignonEnabled(boolean singleSignonEnabled)

      Sets 'singleSignonEnabled'.
      Parameters:
        `singleSignonEnabled` - Value of 'singleSignonEnabled'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.